<template>
    <div class="vertical-align-wrap">
        <div class="vertical-align-middle auth-main">
            <div class="auth-box">
                <div class="top">
                    <img src="../../../assets/logo-white.svg" alt="Lucid">
                </div>
                <div class="card">
                    <div class="header">
                        <p class="lead">Login to your account</p>
                    </div>
                    <div class="body">
                        <form class="form-auth-small" v-on:submit.prevent="handleLogin">
                            <div class="form-group">
                                <label for="signin-email" class="control-label sr-only">Email</label>
                                <input v-model="user.username" v-validate="'required'" type="text" class="form-control" name="username" value="live.heaven.cloud3@gmail.com" />
                                <div v-if="errors.has('username')" class="alert alert-danger"  role="alert" >Username is required!</div>
                            </div>
                            <div class="form-group">
                                <label for="signin-password" class="control-label sr-only">Password</label>
                               <input v-model="user.password" v-validate="'required'" type="password" class="form-control" name="password" value="123" />
                                <div v-if="errors.has('password')" class="alert alert-danger" role="alert" >Password is required!</div>
                            </div>
                             <div class="form-group">
                              <div v-if="message" class="alert alert-danger" role="alert">{{message}}</div>
                            </div>
                            <button type="submit" class="btn btn-primary btn-lg btn-block">LOGIN</button>
                            <div class="bottom">
                                <span class="helper-text m-b-10"><i class="fa fa-lock"></i> <router-link to="/authentication/page-forgot-password">Forgot password?</router-link></span>
                                <span>Don't have an account? <router-link to="/authentication/page-register">Register</router-link></span>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
	<!-- END WRAPPER -->
</template>
<script>
// export default {
//     name:'LoginComponent',
//     methods: {
//         submit(e){
//            this.$router.push({ path: '/dashboard/index' })
//              e.preventDefault()
//             //...
//         }
//     }
// }

import User from '@/models/user';

export default {
  name: 'Login',
  data() {
    return {
      user: new User('', ''),
      loading: false,
      message: ''
    };
  },
  computed: {
    loggedIn() {
      return this.$store.state.auth.status.loggedIn;
    }
  },
  created() {
    if (this.loggedIn) {
      this.$router.push('/admin/dashboard/index');
    }
  },
  methods: {
    handleLogin() {
      this.loading = true;
      this.$validator.validateAll().then(isValid => {
        if (!isValid) {
          this.loading = false;
          return;
        }
      
        if (this.user.username && this.user.password) {
          this.$store.dispatch('auth/login', this.user).then(
            () => {
              this.$router.push('/profile');
            },
            error => {
              this.loading = false;
              this.message =
                (error.response && error.response.data.error) ||
                error.message ||
                error.toString();
            }
          );
        }
      });
    }
  }
};
</script>
<style scoped>

</style>